# Asterisk Project : Asterisk 13 Application_QueueLog

Created by wikibot on Aug 08, 2014

# QueueLog()

### Synopsis

Writes to the queue_log file.

### Description

Allows you to write your own events into the queue log.

Example: QueueLog(101,${UNIQUEID},${AGENT},WENTONBREAK,600)

### Syntax

    QueueLog(queuename,uniqueid,agent,event,[additionalinfo])

##### Arguments

- `queuename`
- `uniqueid`
- `agent`
- `event`
- `additionalinfo`

### See Also

- Asterisk 13 Application_Queue
- Asterisk 13 Application_QueueLog
- Asterisk 13 Application_AddQueueMember
- Asterisk 13 Application_RemoveQueueMember
- Asterisk 13 Application_PauseQueueMember
- Asterisk 13 Application_UnpauseQueueMember
- Asterisk 13 Function_QUEUE_VARIABLES
- Asterisk 13 Function_QUEUE_MEMBER
- Asterisk 13 Function_QUEUE_MEMBER_COUNT
- Asterisk 13 Function_QUEUE_EXISTS
- Asterisk 13 Function_QUEUE_WAITING_COUNT
- Asterisk 13 Function_QUEUE_MEMBER_LIST
- Asterisk 13 Function_QUEUE_MEMBER_PENALTY

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538